## org.eclipse.emf.ecoretools.tabbedproperties.providers
Class TabbedPropertiesContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.emf.ecoretools.tabbedproperties.providers.TabbedPropertiesContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

    public class TabbedPropertiesContentProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

Creation 19 sept. 06

See Also:
  `AdapterFactoryContentProvider`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`adapterFactory, viewer, viewerRefresh`

Constructor Summary
`TabbedPropertiesContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance that wraps this factory.

Method Summary
`org.eclipse.ui.views.properties.IPropertySource` `getPropertySource(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`createPropertySource, dispose, getAdapterFactory, getChildren, getElements, getParent, hasChildren, inputChanged, notifyChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabbedPropertiesContentProvider

    public TabbedPropertiesContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance that wraps this factory.

  Parameters:
    `adapterFactory` -

Method Detail

### getPropertySource

    public org.eclipse.ui.views.properties.IPropertySource getPropertySource(java.lang.Object object)

  Specified by:
    `getPropertySource` in interface `org.eclipse.ui.views.properties.IPropertySourceProvider`
  Overrides:
    `getPropertySource` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
  See Also:
    `AdapterFactoryContentProvider.getPropertySource(java.lang.Object)`

Copyright 2007 Anyware Technologies. All Rights Reserved.